Subject: Re: [devuan-dev] bug#810: Moved to /usr but all configs expect it in /sbin

From: Svante Signell <[email-masked]>
Date: Tue, 28 Nov 2023 20:17:51 +0100

On Tue, 2023-11-28 at 19:52 +0100, Klaus Ethgen wrote:
> Hi Mark,
> 
> Am Di den 28. Nov 2023 um 16:22 schrieb Mark Hindley:
> > As Lorenzo has pointed out, this is a result of Debian's
> > implementation of merged-usr.
> > 

From what I understand most upstreams and Guix has no problems with
merged /usr. It is an isolated Debian issue, right?

> > Although this has been coming for a while, the impasse with the
> > dpkg maintainer meant that Devuan was able to avoid enforcing
> > merged-usr for the Daedalus release. However, Debian has now
> > circumvented the dpkg maintainer and there is little more Devuan
> > can do to resist.
> [...]
> > Believe me that I think this Debian exercise is a waste of time,
> > driven by systemd dogma. However, for Devaun to attempt to fork
> > every Debian package would just waste even more time. I do not
> > believe this to be worthwhile.
> 

It seems to be around 40 packages according to Lorenzo, not too many. I
volunteer to adopt 5-10 of them. Just let me know.

> Yes, that is a disaster... My hope was, that at least Devuan is able
> to mitigate it and keeping up the good quality that Debian was before
> systemd.
> 
> However, I also see that there seems to be only few persons behind to
> do the work.

Count me in! If we won't resist Debian brainless mergerd /usr, I'll
have no motivation to create a Devuan Port of GNU/Hurd.
> 
> It might be needed to fork the distribution completely. Well, at
> least with the main packages. There could still be some compatibility
> left for contrib and non-free. I mean, debian was small too in the
> past. Why not start from scratch? (You even don't need to start
> without anything) Maybe it is time for a cut.
> 

Yes, please!

> I try to fix packages myself as I did for openssh[0], pcre2[1] and
> since today pcsc-lite[2]. And I have now a massive ansible role to
> fix all  the debian bugs as well as nagios check for broken libraries
> that should bein /lib.
> 
> > I believe you have two options (I fear you will find neither
> > palatable, for which I apologise):-
> > 
> >  - Install Daedalus and do not upgrade beyond that.
> > 
> >  - Install the usrmerge package.
> 
> The last one will never be an option for me! Before that I would
> destroy all my computers first or migrate to windows! (What, if you
> know me, I would never do.)
> 
> The first would be a solution only up to when the support for that
> distribution ends.

I recently moverd all my desktops and laptops to Devuan/Daedalus, and
would prefer to continue with Devuan!

Otherwise, I would switch to Guix if Devuan no longer is an
alternative. Never again adopt Debian/RedHat madness!

Thanks!